# Get Endpoint - QueryEloIdentities

Loads list of specified ELO identities(user/groups) from provided repository.

# HTTP Request

One of the following requests should be made:

GET /odata/eloidentities
GET /odata/eloidentities/$count

The endpoint supports the following OData query parameters: $select, $expand

# Query parameters

Name Description
repository optional
query optional
includeUsers optional
includeGroups optional

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 Loading ELO identities was successfully. array EloIdentityEntity
400 Provided request data is invalid.
401 Loading ELO identity has failed. Caller has not necessary rights to load ELO identities.
500 When an server error occurs during the load of identities.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/eloidentities?repository=repo1&query=John&includeGroups=false

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "value": [
    {
      "id": "e61ff758-cfaf-4a0b-9bdc-1228ebc4edbc",
      "name": "JohnDoe",
      "isAdministrator": false
    },
    {
      "id": "73aeebb1-9e0b-4dfe-90bb-efcc674de2e3",
      "name": "JohnFoo",
      "isAdministrator": true
    }
  ],
  "@odata.nextLink": "..."
}
Last updated: May 15, 2025 at 6:02 PM